import React from 'react';
import { BrowserRouter as Router, Routes, Route } from 'react-router-dom';
import Layout from './components/common/Layout';
import Home from './pages/Home';
import Blog from './pages/Blog';
import Contact from './pages/Contact';
import Careers from './pages/Careers';
import CompanyInfo from './pages/CompanyInfo';

import './styles/base/_reset.css';
import './styles/themes/retro/_colors.css';
import './styles/themes/retro/_effects.css';

function App() {
  return (
    <Router>
      <Layout>
        <Routes>
          <Route path="/" element={<Home />} />
          <Route path="/blog" element={<Blog />} />
          <Route path="/contact" element={<Contact />} />
          <Route path="/careers" element={<Careers />} />
          <Route path="/company" element={<CompanyInfo />} />
        </Routes>
      </Layout>
    </Router>
  );
}

export default App;